/**
* 文件：SupplierQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.supplier.model;
import java.util.List;

/**
 * <p>Title: 供应商表</p>
 * <p>Description: SupplierQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class SupplierQuery extends SupplierEntity{
	private static final long serialVersionUID = 1614672503709L;
	/** 开始 供应商ID，自增长 */
	private Long idStart;

	/** 结束 供应商ID，自增长 */
	private Long idEnd;

	/** 增加 供应商ID，自增长 */
	private Long idIncrement;

	/** 供应商ID，自增长 */
	private List<Long> idList;

	/** 供应商名称，如个人姓名或公司名称全称 */
	private List<String> nameList;

	/** 供应商代码，全局唯一，生成后不可变 */
	private List<String> codeList;

	/** 供应商标签，多个以逗号分隔;参数配置-SupplierTags */
	private List<String> tagsList;

	/** 开始 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10 */
	private Integer natureStart;

	/** 结束 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10 */
	private Integer natureEnd;

	/** 增加 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10 */
	private Integer natureIncrement;

	/** 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10 */
	private List<Integer> natureList;

	/** 开始 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf */
	private Integer tradeStart;

	/** 结束 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf */
	private Integer tradeEnd;

	/** 增加 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf */
	private Integer tradeIncrement;

	/** 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf */
	private List<Integer> tradeList;

	/** 开始 结算方式，10现金结算，20票据转让，30转账结算 */
	private Integer settlementTypeStart;

	/** 结束 结算方式，10现金结算，20票据转让，30转账结算 */
	private Integer settlementTypeEnd;

	/** 增加 结算方式，10现金结算，20票据转让，30转账结算 */
	private Integer settlementTypeIncrement;

	/** 结算方式，10现金结算，20票据转让，30转账结算 */
	private List<Integer> settlementTypeList;

	/** 信用代码，当供应商性质为非个人时：统一信用代码；当主体类型为个人时：身份证号 */
	private List<String> creditCodeList;

	/** 联系人，姓名 */
	private List<String> contactsUserList;

	/** 联系手机 */
	private List<String> contactsMobileList;

	/** 联系座机 */
	private List<String> contactsPhoneList;

	/** 联系邮箱 */
	private List<String> contactsEmailList;

	/** 联系地址 */
	private List<String> contactsAddressList;

	/** 网站 */
	private List<String> contactsWebsiteList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<SupplierQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<SupplierQuery> andConditionList;


	public SupplierQuery(){
	}
	/**
	 * 获取 开始 供应商ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 供应商ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 供应商ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 供应商ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 供应商ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 供应商ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 供应商ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 供应商ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 供应商名称，如个人姓名或公司名称全称
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 供应商名称，如个人姓名或公司名称全称
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 供应商代码，全局唯一，生成后不可变
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 供应商代码，全局唯一，生成后不可变
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 供应商标签，多个以逗号分隔;参数配置-SupplierTags
	 * @return tagsList
	 */
	public List<String> getTagsList(){
		return this.tagsList;
	}

	/**
	 * 设置 供应商标签，多个以逗号分隔;参数配置-SupplierTags
	 * @param tagsList
	 */
	public void setTagsList(List<String> tagsList){
		this.tagsList = tagsList;
	}

	/**
	 * 获取 开始 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @return natureStart
	 */
	public Integer getNatureStart(){
		return this.natureStart;
	}

	/**
	 * 设置 开始 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @param natureStart
	 */
	public void setNatureStart(Integer natureStart){
		this.natureStart = natureStart;
	}

	/**
	 * 获取 结束 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @return natureEnd
	 */
	public Integer getNatureEnd(){
		return this.natureEnd;
	}

	/**
	 * 设置 结束 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @param natureEnd
	 */
	public void setNatureEnd(Integer natureEnd){
		this.natureEnd = natureEnd;
	}

	/**
	 * 获取 增加 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @return natureIncrement
	 */
	public Integer getNatureIncrement(){
		return this.natureIncrement;
	}

	/**
	 * 设置 增加 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @param natureIncrement
	 */
	public void setNatureIncrement(Integer natureIncrement){
		this.natureIncrement = natureIncrement;
	}

	/**
	 * 获取 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @return natureList
	 */
	public List<Integer> getNatureList(){
		return this.natureList;
	}

	/**
	 * 设置 供应商性质，10私企，20国企，30外企，40合资，50个体公商户，60个人，默认10
	 * @param natureList
	 */
	public void setNatureList(List<Integer> natureList){
		this.natureList = natureList;
	}

	/**
	 * 获取 开始 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @return tradeStart
	 */
	public Integer getTradeStart(){
		return this.tradeStart;
	}

	/**
	 * 设置 开始 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @param tradeStart
	 */
	public void setTradeStart(Integer tradeStart){
		this.tradeStart = tradeStart;
	}

	/**
	 * 获取 结束 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @return tradeEnd
	 */
	public Integer getTradeEnd(){
		return this.tradeEnd;
	}

	/**
	 * 设置 结束 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @param tradeEnd
	 */
	public void setTradeEnd(Integer tradeEnd){
		this.tradeEnd = tradeEnd;
	}

	/**
	 * 获取 增加 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @return tradeIncrement
	 */
	public Integer getTradeIncrement(){
		return this.tradeIncrement;
	}

	/**
	 * 设置 增加 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @param tradeIncrement
	 */
	public void setTradeIncrement(Integer tradeIncrement){
		this.tradeIncrement = tradeIncrement;
	}

	/**
	 * 获取 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @return tradeList
	 */
	public List<Integer> getTradeList(){
		return this.tradeList;
	}

	/**
	 * 设置 行业类别，参看国家标准：http://www.stats.gov.cn/tjsj/tjbz/hyflbz/201905/P020190716349644060705.pdf
	 * @param tradeList
	 */
	public void setTradeList(List<Integer> tradeList){
		this.tradeList = tradeList;
	}

	/**
	 * 获取 开始 结算方式，10现金结算，20票据转让，30转账结算
	 * @return settlementTypeStart
	 */
	public Integer getSettlementTypeStart(){
		return this.settlementTypeStart;
	}

	/**
	 * 设置 开始 结算方式，10现金结算，20票据转让，30转账结算
	 * @param settlementTypeStart
	 */
	public void setSettlementTypeStart(Integer settlementTypeStart){
		this.settlementTypeStart = settlementTypeStart;
	}

	/**
	 * 获取 结束 结算方式，10现金结算，20票据转让，30转账结算
	 * @return settlementTypeEnd
	 */
	public Integer getSettlementTypeEnd(){
		return this.settlementTypeEnd;
	}

	/**
	 * 设置 结束 结算方式，10现金结算，20票据转让，30转账结算
	 * @param settlementTypeEnd
	 */
	public void setSettlementTypeEnd(Integer settlementTypeEnd){
		this.settlementTypeEnd = settlementTypeEnd;
	}

	/**
	 * 获取 增加 结算方式，10现金结算，20票据转让，30转账结算
	 * @return settlementTypeIncrement
	 */
	public Integer getSettlementTypeIncrement(){
		return this.settlementTypeIncrement;
	}

	/**
	 * 设置 增加 结算方式，10现金结算，20票据转让，30转账结算
	 * @param settlementTypeIncrement
	 */
	public void setSettlementTypeIncrement(Integer settlementTypeIncrement){
		this.settlementTypeIncrement = settlementTypeIncrement;
	}

	/**
	 * 获取 结算方式，10现金结算，20票据转让，30转账结算
	 * @return settlementTypeList
	 */
	public List<Integer> getSettlementTypeList(){
		return this.settlementTypeList;
	}

	/**
	 * 设置 结算方式，10现金结算，20票据转让，30转账结算
	 * @param settlementTypeList
	 */
	public void setSettlementTypeList(List<Integer> settlementTypeList){
		this.settlementTypeList = settlementTypeList;
	}

	/**
	 * 获取 信用代码，当供应商性质为非个人时：统一信用代码；当主体类型为个人时：身份证号
	 * @return creditCodeList
	 */
	public List<String> getCreditCodeList(){
		return this.creditCodeList;
	}

	/**
	 * 设置 信用代码，当供应商性质为非个人时：统一信用代码；当主体类型为个人时：身份证号
	 * @param creditCodeList
	 */
	public void setCreditCodeList(List<String> creditCodeList){
		this.creditCodeList = creditCodeList;
	}

	/**
	 * 获取 联系人，姓名
	 * @return contactsUserList
	 */
	public List<String> getContactsUserList(){
		return this.contactsUserList;
	}

	/**
	 * 设置 联系人，姓名
	 * @param contactsUserList
	 */
	public void setContactsUserList(List<String> contactsUserList){
		this.contactsUserList = contactsUserList;
	}

	/**
	 * 获取 联系手机
	 * @return contactsMobileList
	 */
	public List<String> getContactsMobileList(){
		return this.contactsMobileList;
	}

	/**
	 * 设置 联系手机
	 * @param contactsMobileList
	 */
	public void setContactsMobileList(List<String> contactsMobileList){
		this.contactsMobileList = contactsMobileList;
	}

	/**
	 * 获取 联系座机
	 * @return contactsPhoneList
	 */
	public List<String> getContactsPhoneList(){
		return this.contactsPhoneList;
	}

	/**
	 * 设置 联系座机
	 * @param contactsPhoneList
	 */
	public void setContactsPhoneList(List<String> contactsPhoneList){
		this.contactsPhoneList = contactsPhoneList;
	}

	/**
	 * 获取 联系邮箱
	 * @return contactsEmailList
	 */
	public List<String> getContactsEmailList(){
		return this.contactsEmailList;
	}

	/**
	 * 设置 联系邮箱
	 * @param contactsEmailList
	 */
	public void setContactsEmailList(List<String> contactsEmailList){
		this.contactsEmailList = contactsEmailList;
	}

	/**
	 * 获取 联系地址
	 * @return contactsAddressList
	 */
	public List<String> getContactsAddressList(){
		return this.contactsAddressList;
	}

	/**
	 * 设置 联系地址
	 * @param contactsAddressList
	 */
	public void setContactsAddressList(List<String> contactsAddressList){
		this.contactsAddressList = contactsAddressList;
	}

	/**
	 * 获取 网站
	 * @return contactsWebsiteList
	 */
	public List<String> getContactsWebsiteList(){
		return this.contactsWebsiteList;
	}

	/**
	 * 设置 网站
	 * @param contactsWebsiteList
	 */
	public void setContactsWebsiteList(List<String> contactsWebsiteList){
		this.contactsWebsiteList = contactsWebsiteList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<SupplierQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<SupplierQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<SupplierQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<SupplierQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}